import { Base, Type } from "igniteui-angular-core";
import { ST_LayoutTarget } from "./ST_LayoutTarget";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
/**
 * @hidden
 */
export declare class CT_LayoutTarget extends Base {
    static $t: Type;
    private c;
    constructor();
    b: ST_LayoutTarget;
    static e(a: XmlPartManagerBase, b: ST_LayoutTarget): {
        p1: ST_LayoutTarget;
    };
    static f(a: XmlPartManagerBase, b: string, c: ST_LayoutTarget): void;
    toString(): string;
}
